﻿.news-box{
    width: 100%;
    min-height: 100vh;
    display: block;
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
    padding-bottom: 60px;
    margin-top: 133px;
}
.news-title-box{
    box-sizing: border-box;
    padding: 132px 0;
    background-color: #023465;
    position: relative;
}
.news-title{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    position: relative;
    z-index: 1;
}
.news-title>h2{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 28px;
    color: #fff;
    line-height: 36px;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: bottom;
}
.news-title>p{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 18px;
    color: #ccc;
    line-height: 24px;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: bottom;
    margin-left: 10px;
}
.news-bg-box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0.5;
}
.news-all-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    position: relative;
}
.news-category-box{
    box-sizing: border-box;
    padding: 75px 0;
}
.news-category{
    max-width: 80px;
    display: inline-block;
    vertical-align: middle;
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 18px;
    color: #000;
    line-height: 1.2;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    padding: 10px 0;
    position: relative;
    margin-right: 40px;
    transition: all .3s linear;
}
.news-info{
    width: 100%;
    display: block;
    transition: all .3s linear;
    box-sizing: border-box;
    padding-top: 20px;
    padding-bottom: 20px;
    margin-top: 20px;
    border-bottom: 1px solid #ddd;
}
.news-info-date{
    display: inline-block;
    vertical-align: middle;
    font-family: 'Oswald';
    font-size: 16px;
    color: #666;
    line-height: 36px;
    letter-spacing: 0.06em;
    margin-right: 30px;
}
.news-info-category{
    width: 100px;
    display: inline-block;
    vertical-align: middle;
    line-height: 28px;
    background-color: #023465;
    text-align: center;
    font-family: 'Noto Sans TC';
    font-size: 16px;
    color: #fff;
    letter-spacing: 0.06em;
    border-radius: 5px;
    box-sizing: border-box;
    padding: 0 10px;
    border: 1px solid #000;
}
.news-info-text{
    width: calc(100% - 30px);
    display: inline-block;
    vertical-align: middle;
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #000;
    line-height: 2;
    letter-spacing: 0.1em;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin-top: 20px;
}
.news-info-arrow{
    font-size: 18px;
    color: #023465;
    line-height: 36px;
    display: inline-block;
    vertical-align: middle;
    width: 30px;
    text-align: right;
    margin-top: 20px;
}
.news-page-box{
    margin-top: 80px;
    text-align: center;
}
.news-page-box>a{
    font-family: 'Oswald';
    font-weight: 300;
    font-size: 18px;
    color: #000;
    line-height: 36px;
    display: inline-block;
    vertical-align: middle;
    margin: 0 5px;
    box-sizing: border-box;
    padding: 0 10px;
    position: relative;
    transition: all .3s ease;
}
.news-page-box>a.news-page-select{
    color: #023465;
    font-weight: 700;
}
.news-page-box>a.news-page-prev,
.news-page-box>a.news-page-next{
    color: #023465;
}




.news-pages-all-box{
    box-sizing: border-box;
    padding: 120px 0;
}

.news-pages-info-name{
    font-family: 'Noto Sans TC';
    font-size: 36px;
    color: #000;
    line-height: 1;
    letter-spacing: 0.1em;
    box-sizing: border-box;
    padding: 40px 0;
}
.news-pages-info-edit{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #666;
    line-height: 2;
    letter-spacing: 0.1em;
}
.news-pages-info-edit a{
    color: #023465;
}
.news-pages-arrow-box{
    margin-top: 50px;
    border-top: 1px solid #ddd;
    box-sizing: border-box;
    padding-top: 30px;
    display:         flex;
    display: -webkit-flex;
    justify-content: space-between;
    -webkit-justify-content: space-between;
}
.news-pages-arrow{
    font-family: 'Noto Sans TC';
    font-size: 16px;
    color: #023465;
    line-height: 1;
    letter-spacing: 0.1em;
}
.news-pages-arrow-prev>i{
    margin-right: 10px;
}
.news-pages-arrow-next>i{
    margin-left: 10px;
}

#renovation .news-page-box>a,
#renovation .news-page-box>a.news-page-prev, 
#renovation .news-page-box>a.news-page-next{
    color: #fff;
}
#renovation .news-page-box>a.news-page-select{
    color: #fba804;
}
#renovation .news-page-box>a{}

@media only screen and (max-width: 1280px){
    .news-title,
    .news-all-box{
        width: 1200px;
    }
}
@media only screen and (max-width: 1200px){
    .news-title,
    .news-all-box{
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .news-title,
    .news-all-box{
        width: 750px;
    }
    .news-pages-all-box{
        padding: 60px 0;
    }
}
@media only screen and (max-width: 768px){
    .news-box{
        margin-top: 72px;
    }
    .news-title,
    .news-all-box{
        width: 550px;
    }
    .news-title-box{
        padding: 60px 0;
    }
    .news-title>h2{
        font-size: 22px;
        line-height: 30px;
    }
    .news-title>p{
        font-size: 16px;
        line-height: 20px;
    }
    .news-category-box{
        padding: 40px 0;
    }
    .rwd-news-category{
        width: 100%;
        height: 40px;
        border: 1px solid #000;
        font-family: 'Noto Sans TC';
        font-weight: 700;
        font-size: 18px;
        color: #000;
        letter-spacing: 0.06em;
        text-align: center;
        display: block;
        line-height: 40px;
        position: relative;
        box-sizing: border-box;
        background-color: #fff;
    }
    .rwd-news-category:after {
        content: '';
        width: 0px;
        height: 0px;
        margin: 0 auto;
        border-right: 8px solid transparent;
        border-top: 10px solid #000;
        border-left: 8px solid transparent;
        display: block;
        position: absolute;
        bottom: calc(50% - 5px);
        right: 20px;
        box-sizing: border-box;
    }
    .news-category-all-box{
        width: 100%;
        display: none;
        position: absolute;
        box-shadow: 0 0 10px rgba(0,0,0,0.3);
        background-color: #fff;
        box-sizing: border-box;
        padding: 5px 0;
    }
    .news-category{
        width: 100%;
        max-width: 100%;
        display: block;
        text-align: center;
    }
    .news-info{
        padding-top: 20px;
        padding-bottom: 10px;
    }

    
    .news-pages-all-box{
        padding: 40px 0;
    }
    .news-pages-info-name{
        font-size: 26px;
        padding: 20px 0;
    }
    .news-pages-info-edit{
        font-size: 16px;
        line-height: 1.6;
        letter-spacing: 0.06em;
    }
    .news-pages-arrow-box{
        margin-top: 30px;
        padding-top: 20px;
    }
}
@media only screen and (max-width: 550px){
    .news-box{
        margin-top: 46px;
    }
    .news-title,
    .news-all-box{
        width: 95vw;
    }
    .news-title-box {
        padding: 30px 0;
    }
    .news-title>h2{
        font-size: 18px;
        line-height: 22px;
    }
    .news-title>p{
        font-size: 14px;
        line-height: 16px;
        margin-left: 5px;
    }
    .news-category-box {
        padding: 20px 0;
    }
    .rwd-news-category{
        font-size: 16px;
    }
    .news-category{
        font-size: 16px;
    }
    .news-info{
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .news-info-date{
        font-size: 14px;
        line-height: 30px;
        margin-right: 10px;
    }
    .news-info-category{
        width: 80px;
        line-height: 22px;
        font-size: 14px;
        padding: 0 5px;
    }
    .news-info-text{
        font-size: 16px;
        width: calc(100% - 15px);
        margin-top: 5px;
    }
    .news-info-arrow{
        font-size: 14px;
        line-height: 30px;
        width: 15px;
        margin-top: 5px;
    }
    .news-page-box{
        margin-top: 40px;
    }
    .news-page-box>a{
        font-size: 16px;
        line-height: 30px;
        padding-top: 0 5px;
    }


    
    .news-pages-all-box{
        padding: 20px 0;
    }
    .news-pages-info-name{
        font-size: 20px;
        padding: 10px 0;
    }
    .news-pages-info-edit{
        font-size: 16px;
        line-height: 1.2;
    }
    .news-pages-arrow-box{
        margin-top: 30px;
        padding-top: 20px;
    }
    .news-pages-arrow{
        font-size: 14px;
        letter-spacing: 0.06em;
    }
}


@media only screen and (min-width: 769px){
    .news-category.active,
    .news-category:hover{
        color: #023465;
    }
    .news-category::after{
        content: '';
        width: 0%;
        height: 3px;
        position: absolute;
        bottom: 0;
        left: 0;
        background-color: #023465;
        transition: all .3s linear;
    }
    .news-category.active::after,
    .news-category:hover::after{
        width: 100%;
    }
    
    .news-page-box>a:hover{
        background-color: #023465;
        color: #fff;
        text-align: center;
    }
    #renovation .news-page-box>a:hover{
        background-color: #fba804;
        color: #fff;
        text-align: center;
    }


    .news-info:hover{
        padding-left: 20px;
        padding-right: 20px;
        background-color: rgba(2, 51, 101, 0.1);
    }
    .news-pages-arrow{
        position: relative;
    }
    .news-pages-arrow:hover{
        color: #023465;
    }
    .news-pages-arrow::after{
        content: '';
        width: 100%;
        height: 2px;
        position: absolute;
        bottom: -4px;
        left: 0;
        background-color: #023465;
        transform: scaleX(0);
        transition: all .3s ease;
    }
    .news-pages-arrow-prev::after{
        transform-origin: right;
    }
    .news-pages-arrow-next::after{
        transform-origin: left;
    }
    .news-pages-arrow:hover::after{
        transform: scale(1);
    }

    .news-category-box,
    .news-info,
    .news-page-box,
    .news-info-date,
    .news-info-category,
    .news-pages-info-box,
    .news-pages-arrow-box{
        opacity: 0;
    }
    .news-category-box.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .news-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .news-page-box.anima{
        animation: fade 1s ease 0s 1 both;
    }

    .news-all-box.anima .news-info-date{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .news-all-box.anima .news-info-category{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .news-pages-info-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .news-pages-arrow-box.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}